<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>flutter_setup-test.xml</title>
    <style type="text/css">
        body {
    background-color: white;
    padding-bottom: 20em;
    margin: 0;
    min-height: 15cm;
}

h1, h2, h3, h4, h5, h6, h7 {
    font-family: sans-serif;
}

h1 {
    background-color: #007acc;
    color: white;
    padding: 3mm;
    margin-top: 0;
    margin-bottom: 1mm;
}

.footer {
    font-style: italic;
    font-size: small;
    text-align: right;
    padding: 1em;
}

.testsuite {
    padding-bottom: 2em;
    margin-left: 1em;
}

.proplist {
    width: 100%;
    margin-bottom: 2em;
    border-collapse: collapse;
    border: 1px solid grey;
}

.proplist th {
    background-color: silver;
    width: 5em;
    padding: 2px;
    padding-right: 1em;
    text-align: left;
}

.proplist td {
    padding: 2px;
}

.index-table {
    width: 90%;
    margin-left: 1em;
}

.index-table td {
    vertical-align: top;
    width: 50%;
}

.failure-index {

}

.toc {
    margin-bottom: 2em;
    font-family: monospace;
}

.stdio, pre {
    min-height: 1em;
    background-color: #1e1e1e;
    color: silver;
    padding: 0.5em;
}
.tdpre {
    background-color: #1e1e1e;
}

.test {
    margin-left: 0.5cm;
}

.outcome {
    border-left: 1em;
    padding: 2px;
}

.outcome-failed {
    border-left: 1em solid lightcoral;
}

.stats-table {
}

.stats-table td {
    min-width: 4em;
    text-align: right;
}

.stats-table .failed {
    background-color: lightcoral;
}

.stats-table .passed {
    background-color: lightgreen;
}

.matrix-table {
    table-layout: fixed;
    border-spacing: 0;
    width: available;
    margin-left: 1em;
}

.matrix-table td {
    vertical-align: center;
}

.matrix-table td:last-child {
    width: 0;
}

.matrix-axis-name {
    white-space: nowrap;
    padding-left: 0.5em;
    border-left: 1px solid black;
    border-top: 1px solid black;
}

.matrix-axis-line {
    border-left: 1px solid black;
    width: 0.5em;
}

.matrix-classname {
    text-align: left;
    width: 100%;
    border-top: 2px solid grey;
    border-bottom: 1px solid silver;
}

.matrix-casename {
    text-align: left;
    font-weight: normal;
    font-style: italic;
    padding-left: 1em;
    border-bottom: 1px solid silver;
}

.matrix-result {
    display: block;
    width: 1em;
    text-align: center;
    padding: 1mm;
    margin: 0;
}

.matrix-result-combined {
    white-space: nowrap;
    padding-right: 0.2em;
    text-align: right;
}

.matrix-result-failed {
    background-color: lightcoral;
}

.matrix-result-passed {
    background-color: lightgreen;
}

.matrix-result-skipped {
    background-color: lightyellow;
}
    </style>
</head>
<body>
    
<h1>
    Test Report : flutter_setup-test.xml
</h1>
<a id="toc"></a>
<table class="index-table">
    <tr>
        <td>
            <ul class="toc">
            
                
                <li>D:.fredgrttsstuff.ForkProjects.flutter_setup.test.app_title
                <ul>
                    
                    <li><a href="#aa9012e2-149d-409a-b0ee-a86efecd62cd">Basic App Chrome Title test Specified title and color are used to build a Title</a></li>
                    
                    <li><a href="#e90ab312-f0fa-4575-aabc-b7498c04bc87">Basic App Chrome Title test onGenerateTitle handles changing locales</a></li>
                    
                </ul>
                </li>
                
            
                
                <li>D:.fredgrttsstuff.ForkProjects.flutter_setup.test.golden_widget
                <ul>
                    
                    <li><a href="#0aac80d9-a49e-4cda-aeec-d2a371b93a48">Basic Golden Tests  Golden test</a></li>
                    
                    <li><a href="#65713b19-7438-4abc-80e9-ae304fe579aa">Basic Golden Tests  DeviceBuilder  Golden</a></li>
                    
                </ul>
                </li>
                
            
                
                <li>D:.fredgrttsstuff.ForkProjects.flutter_setup.test.my_home_page
                <ul>
                    
                    <li><a href="#031df7f0-540e-41f5-9436-c8a9accc36bb">DeviceBuilder - one scenario - default devices Golden</a></li>
                    
                    <li><a href="#843aa35d-1685-47e5-ae7b-e81965b3e162">DeviceBuilder - one scenario - override devices Golden</a></li>
                    
                    <li><a href="#680756f9-47c0-433e-869d-e4a514bbffc0">DeviceBuilder - multiple scenarios - with onCreate Golden</a></li>
                    
                </ul>
                </li>
                
            
                
                <li>D:.fredgrttsstuff.ForkProjects.flutter_setup.test.widget
                <ul>
                    
                    <li><a href="#6578c73e-0a7a-4585-a3e2-5e754e9f382c">Basic Simple Unit Test Counter increments smoke test</a></li>
                    
                </ul>
                </li>
                
            
            </ul>
        </td>
        <td class="failure-index">
            <ul class="toc">
            
                
                    
                    
                    
                    
                    
                
            
                
                    
                    
                    
                    
                    
                
            
                
                    
                    
                    
                    
                    
                    
                    
                
            
                
                    
                    
                    
                
            
            </ul>
        </td>
    </tr>
</table>


    <div class="testsuite">
        <h2>Test Suite: D:.fredgrttsstuff.ForkProjects.flutter_setup.test.app_title</h2>
        <a id="8dd4b130-fe49-40a8-99d4-7f095424a031"></a>
        
        
        <h3>Suite Properties</h3>
        <table class="proplist">
            
            <tr>
                <th>platform</th><td>vm</td>
            </tr>
            
        </table>
        
        <h3>Results</h3>
        <table class="proplist">
            <tr>
                <th>Duration</th><td>0.0 sec</td>
            </tr>
            <tr>
                <th>Tests</th><td>2</td>
            </tr>
            <tr>
                <th>Failures</th><td>0</td>
            </tr>
        </table>

        <div class="testclasses">
            <h3>Tests</h3>
            
            <div class="testclass">
                <h4>D:.fredgrttsstuff.ForkProjects.flutter_setup.test.app_title</h4>
                <div class="testcases">
                
                    <div class="test outcome outcome-passed">
                        <a id="aa9012e2-149d-409a-b0ee-a86efecd62cd"></a>
                        <table class="proplist">
                            <tr><th>Test case:</th><td><b>Basic App Chrome Title test Specified title and color are used to build a Title</b></td></tr>
                            <tr><th>Outcome:</th><td>Passed</td></tr>
                            <tr><th>Duration:</th><td>0.5 sec</td></tr>
                        
                            <tr><th>Failed</th><td>None</td></tr>
                        
                        
                        </table>

                        
                        <pre>None</pre>
                        
                        

                        
                        
                        
                    </div>
                
                    <div class="test outcome outcome-passed">
                        <a id="e90ab312-f0fa-4575-aabc-b7498c04bc87"></a>
                        <table class="proplist">
                            <tr><th>Test case:</th><td><b>Basic App Chrome Title test onGenerateTitle handles changing locales</b></td></tr>
                            <tr><th>Outcome:</th><td>Passed</td></tr>
                            <tr><th>Duration:</th><td>0.1 sec</td></tr>
                        
                            <tr><th>Failed</th><td>None</td></tr>
                        
                        
                        </table>

                        
                        <pre>None</pre>
                        
                        

                        
                        
                        
                    </div>
                
                </div>
            </div>
            
        </div>
    </div>
    

    <div class="testsuite">
        <h2>Test Suite: D:.fredgrttsstuff.ForkProjects.flutter_setup.test.golden_widget</h2>
        <a id="6c386fa9-a2a6-40a8-9fdb-4720d29af454"></a>
        
        
        <h3>Suite Properties</h3>
        <table class="proplist">
            
            <tr>
                <th>platform</th><td>vm</td>
            </tr>
            
        </table>
        
        <h3>Results</h3>
        <table class="proplist">
            <tr>
                <th>Duration</th><td>0.0 sec</td>
            </tr>
            <tr>
                <th>Tests</th><td>2</td>
            </tr>
            <tr>
                <th>Failures</th><td>0</td>
            </tr>
        </table>

        <div class="testclasses">
            <h3>Tests</h3>
            
            <div class="testclass">
                <h4>D:.fredgrttsstuff.ForkProjects.flutter_setup.test.golden_widget</h4>
                <div class="testcases">
                
                    <div class="test outcome outcome-passed">
                        <a id="0aac80d9-a49e-4cda-aeec-d2a371b93a48"></a>
                        <table class="proplist">
                            <tr><th>Test case:</th><td><b>Basic Golden Tests  Golden test</b></td></tr>
                            <tr><th>Outcome:</th><td>Passed</td></tr>
                            <tr><th>Duration:</th><td>2.0 sec</td></tr>
                        
                            <tr><th>Failed</th><td>None</td></tr>
                        
                        
                        </table>

                        
                        <pre>None</pre>
                        
                        

                        
                        
                        
                    </div>
                
                    <div class="test outcome outcome-passed">
                        <a id="65713b19-7438-4abc-80e9-ae304fe579aa"></a>
                        <table class="proplist">
                            <tr><th>Test case:</th><td><b>Basic Golden Tests  DeviceBuilder  Golden</b></td></tr>
                            <tr><th>Outcome:</th><td>Passed</td></tr>
                            <tr><th>Duration:</th><td>1.1 sec</td></tr>
                        
                            <tr><th>Failed</th><td>None</td></tr>
                        
                        
                        </table>

                        
                        <pre>None</pre>
                        
                        

                        
                        
                        
                    </div>
                
                </div>
            </div>
            
        </div>
    </div>
    

    <div class="testsuite">
        <h2>Test Suite: D:.fredgrttsstuff.ForkProjects.flutter_setup.test.my_home_page</h2>
        <a id="7e8b22ca-1235-4e37-9ac3-4dc1253ee635"></a>
        
        
        <h3>Suite Properties</h3>
        <table class="proplist">
            
            <tr>
                <th>platform</th><td>vm</td>
            </tr>
            
        </table>
        
        <h3>Results</h3>
        <table class="proplist">
            <tr>
                <th>Duration</th><td>0.0 sec</td>
            </tr>
            <tr>
                <th>Tests</th><td>3</td>
            </tr>
            <tr>
                <th>Failures</th><td>0</td>
            </tr>
        </table>

        <div class="testclasses">
            <h3>Tests</h3>
            
            <div class="testclass">
                <h4>D:.fredgrttsstuff.ForkProjects.flutter_setup.test.my_home_page</h4>
                <div class="testcases">
                
                    <div class="test outcome outcome-passed">
                        <a id="031df7f0-540e-41f5-9436-c8a9accc36bb"></a>
                        <table class="proplist">
                            <tr><th>Test case:</th><td><b>DeviceBuilder - one scenario - default devices Golden</b></td></tr>
                            <tr><th>Outcome:</th><td>Passed</td></tr>
                            <tr><th>Duration:</th><td>1.6 sec</td></tr>
                        
                            <tr><th>Failed</th><td>None</td></tr>
                        
                        
                        </table>

                        
                        <pre>None</pre>
                        
                        

                        
                        
                        
                    </div>
                
                    <div class="test outcome outcome-passed">
                        <a id="843aa35d-1685-47e5-ae7b-e81965b3e162"></a>
                        <table class="proplist">
                            <tr><th>Test case:</th><td><b>DeviceBuilder - one scenario - override devices Golden</b></td></tr>
                            <tr><th>Outcome:</th><td>Passed</td></tr>
                            <tr><th>Duration:</th><td>1.0 sec</td></tr>
                        
                            <tr><th>Failed</th><td>None</td></tr>
                        
                        
                        </table>

                        
                        <pre>None</pre>
                        
                        

                        
                        
                        
                    </div>
                
                    <div class="test outcome outcome-passed">
                        <a id="680756f9-47c0-433e-869d-e4a514bbffc0"></a>
                        <table class="proplist">
                            <tr><th>Test case:</th><td><b>DeviceBuilder - multiple scenarios - with onCreate Golden</b></td></tr>
                            <tr><th>Outcome:</th><td>Passed</td></tr>
                            <tr><th>Duration:</th><td>4.6 sec</td></tr>
                        
                            <tr><th>Failed</th><td>None</td></tr>
                        
                        
                        </table>

                        
                        <pre>None</pre>
                        
                        

                        
                        
                        
                    </div>
                
                </div>
            </div>
            
        </div>
    </div>
    

    <div class="testsuite">
        <h2>Test Suite: D:.fredgrttsstuff.ForkProjects.flutter_setup.test.widget</h2>
        <a id="33f5eee8-8bc5-44de-92e3-b8692227b5c2"></a>
        
        
        <h3>Suite Properties</h3>
        <table class="proplist">
            
            <tr>
                <th>platform</th><td>vm</td>
            </tr>
            
        </table>
        
        <h3>Results</h3>
        <table class="proplist">
            <tr>
                <th>Duration</th><td>0.0 sec</td>
            </tr>
            <tr>
                <th>Tests</th><td>1</td>
            </tr>
            <tr>
                <th>Failures</th><td>0</td>
            </tr>
        </table>

        <div class="testclasses">
            <h3>Tests</h3>
            
            <div class="testclass">
                <h4>D:.fredgrttsstuff.ForkProjects.flutter_setup.test.widget</h4>
                <div class="testcases">
                
                    <div class="test outcome outcome-passed">
                        <a id="6578c73e-0a7a-4585-a3e2-5e754e9f382c"></a>
                        <table class="proplist">
                            <tr><th>Test case:</th><td><b>Basic Simple Unit Test Counter increments smoke test</b></td></tr>
                            <tr><th>Outcome:</th><td>Passed</td></tr>
                            <tr><th>Duration:</th><td>1.2 sec</td></tr>
                        
                            <tr><th>Failed</th><td>None</td></tr>
                        
                        
                        </table>

                        
                        <pre>None</pre>
                        
                        

                        
                        
                        
                    </div>
                
                </div>
            </div>
            
        </div>
    </div>
    



<p class="footer">
    Generated by junit2html
</p>
</body>
</html>